Next: NOT, Previous: NINT, Up: Intrinsic Procedures

### 8.207 `NORM2` — Euclidean vector norms

Description:
  Calculates the Euclidean vector norm (L_2 norm) of ARRAY along dimension DIM.
Standard:
  Fortran 2008 and later
Class:
  Transformational function
Syntax:

  `RESULT = NORM2(ARRAY[, DIM])`

Arguments:

  ARRAY | Shall be an array of type `REAL`
  DIM | (Optional) shall be a scalar of type `INTEGER` with a value in the range from 1 to n, where n equals the rank of ARRAY.

Return value:
  The result is of the same type as ARRAY.

  If DIM is absent, a scalar with the square root of the sum of all elements in ARRAY squared is returned. Otherwise, an array of rank n-1, where n equals the rank of ARRAY, and a shape similar to that of ARRAY with dimension DIM dropped is returned.

Example:

                PROGRAM test_sum
                  REAL :: x(5) = [ real :: 1, 2, 3, 4, 5 ]
                  print *, NORM2(x)  ! = sqrt(55.) ~ 7.416
                END PROGRAM